curl --request PUT \
--url https://api.dev.name.com/core/v1/domains/{domainName}/email/forwarding/{emailBox} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"emailTo": "<string>"
}
'import requests
url = "https://api.dev.name.com/core/v1/domains/{domainName}/email/forwarding/{emailBox}"
payload = { "emailTo": "<string>" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({emailTo: '<string>'})
};
fetch('https://api.dev.name.com/core/v1/domains/{domainName}/email/forwarding/{emailBox}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"domainName": "example.com",
"emailBox": "admin",
"emailTo": "webmaster@example.com"
}{
"message": "Unauthorized"
}{
"message": "Permission denied",
"details": "Failed authentication"
}{
"message": "Not Found",
"details": "The requested domain does not exist."
}{
"message": "Method Not Allowed"
}{
"message": "The 'Content-Type' header must be 'application/json' for this request."
}{
"message": "Rate Limit Exceeded"
}{
"message": "Internal Server Error",
"details": "Something went wrong."
}{
"message": "The server received an invalid response from the upstream server."
}{
"message": "Service Unavailable",
"details": "The API is offline for scheduled maintenance. See https://status.name.com for updates."
}{
"message": "The upstream server is taking too long to respond."
}Update Email Forwarding
Updates the destination email address for an existing forwarding rule.
Authorizations
Authenticate via HTTP Basic with your account username and API token. Examples use an explicit 'Authorization: Basic <base64(username:token)>' header; 'curl -u username:token' is equivalent. For sandbox, append "-test" to your username and use your sandbox token on api.dev.name.com.
Path Parameters
DomainName is the domain part of the email address to forward.
EmailBox is the user portion of the email address to forward.
Body
EmailForwarding contains all the information for an email forwarding entry.
EmailTo is the entire email address to forward email to.
Response
A successful response.
EmailForwarding contains all the information for an email forwarding entry.
DomainName is the domain part of the email address to forward.
1"example.com"
EmailBox is the user portion of the email address to forward.
1"admin"
EmailTo is the entire email address to forward email to.
"webmaster@example.com"
Was this page helpful?